Subject: bug#10324: [Platform-testers] Automake 1.11.1b test release

From: Stefano Lattarini <[email-masked]>
Date: Mon, 19 Dec 2011 20:33:32 +0100

Hi Bruno, thanks for the testing and the report.

Note that I will snip from my reply those parts of your message Peter has
already answered to.

On 12/19/2011 03:11 AM, Bruno Haible wrote:
>> The pre-release automake version 1.11.1b is now available at
>> <ftp://alpha.gnu.org/gnu/automake>.
> Some builds took longer. Here are the results:
>
>
> ===============================================================================
>
> * Linux/PowerPC 64-bit
>
> FAIL: silent-many-generic.test
>
> Find attached the log file. I configured Automake with
> CC="gcc -m64"; export CC;
> CXX="g++ -m64"; export CXX;
Not also FC="gfortran -m64" and F77="gfortran -m64" ?

> CPPFLAGS="-Wall"; export CPPFLAGS;
> ./configure --prefix=$HOME/prefix-linux-ppc64
>
> Apparently a 32-bit libfl.a and libfl.so exists in /usr/lib, but no 64-bit
> libfl.a and libfl.so exists in /usr/lib64. The AC_PROG_LEX macro apparently
> does not detect the missing library support, so it gets unnoticed until the
> linker complains.
>
Weird; this test have been recently improve to pass also on system which 
lack both
libfl and libl (this is done by defining a dummy `yywrap()' function in 
the `foo5.l'
file).

See also:
<http://lists.gnu.org/archive/html/automake-patches/2011-12/msg00002.html>

Update: ah-ah, I think I've understood the problem: the 
silent-many-generic.test
test still has `g++' in $required, because currently the testsuite 
doesn't provide
a better way to require a working C++ compiler; this causes $CXX to get 
set to
`g++', so that you get the inconsistent setting of "CC='gcc -m64' 
CXX=g++" in the
test case environment; hilarity ensues.  This problem will be fixed in 
the next
major version of automake (see the 
"experimental/compilers-for-testsuite" branch),
and I think it's not worth worrying about.  Just one thing though: could you
please verify that my analysis is indeed correct?  You can do so by:

   1. removing g++" and "gfortran" from the definition of `required' in
      `silent-many-generic.test', and
   2. running the test again, with the following environment:
        CC="gcc -m64" CXX="g++ -m64" FC="gfortran -m64" F77="gfortran -m64"
> * mingw
>
> All 795 tests behaved as expected (11 expected failures)
>
> ===============================================================================
>
> * msvc9
>
> FAIL: silent-lex-generic.test
>
> This is due to the use of<unistd.h>  in the flex-generated<unistd.h>.
> When gnulib is in use, it is ok to use<unistd.h>  on MSVC platforms, but
> without gnulib, it doesn't work.
>
I'm inclined to ignore this as a MSVC and/or flex limitation.  But I 
might change
my mind if someone provides a simple patch to avoid the spurious failure 
;-) ...

Thanks,
   Stefano